import { ColumnDef } from '@tanstack/react-table';
import { SupabaseClient } from "pasubot-js";
interface DataTableProps<TData, TValue> {
    columns: ColumnDef<TData, TValue>[];
    data: any;
    isLoading: boolean;
    onRefresh: () => void;
    errorMessage: any;
    message: any;
    supabaseAuthAdmin: SupabaseClient;
}
export declare function DataTable<TData, TValue>({ columns, data, isLoading, onRefresh, errorMessage, message, supabaseAuthAdmin, }: DataTableProps<TData, TValue>): import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=data-table.d.ts.map